Storage
This endpoint stores a credential/presentation, returning a uri that can be used to resolve it
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/storage/store HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1005
{
"item": {
"@context": [
"text"
],
"id": "text",
"type": [
"text"
],
"issuer": "text",
"credentialSubject": {
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"refreshService": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"credentialSchema": {
"id": "text",
"type": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"issuanceDate": "text",
"expirationDate": "text",
"credentialStatus": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"name": "text",
"description": "text",
"validFrom": "text",
"validUntil": "text",
"status": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"termsOfUse": {
"type": "text",
"id": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"evidence": {
"id": "text",
"type": [
"text"
],
"name": "text",
"narrative": "text",
"description": "text",
"genre": "text",
"audience": "text",
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"renderMethod": {
"type": "text",
"renderSuite": "text",
"template": "text",
"renderProperty": [
"text"
],
"outputPreference": {
"mediaType": "text"
}
},
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}textDeletes a stored item by URI when the caller is authorized.
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
DELETE /api/storage/delete?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
trueThis endpoint stores a credential/presentation, returning a uri that can be used to resolve it
Successful response
Invalid input data
Authorization not provided
Insufficient access
Not found
Internal server error
GET /api/storage/resolve?uri=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"protected": "text",
"iv": "text",
"ciphertext": "text",
"tag": "text",
"aad": "text",
"recipients": [
{
"header": {
"alg": "text",
"iv": "text",
"tag": "text",
"epk": {
"kty": "text",
"crv": "text",
"x": "text",
"y": "text",
"n": "text",
"d": "text"
},
"kid": "text",
"apv": "text",
"apu": "text"
},
"encrypted_key": "text"
}
]
}This endpoint resolves a batch or URIs
Successful response
Invalid input data
Authorization not provided
Insufficient access
Internal server error
POST /api/storage/resolve/batch HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"uris": [
"text"
]
}[
{
"protected": "text",
"iv": "text",
"ciphertext": "text",
"tag": "text",
"aad": "text",
"recipients": [
{
"header": {
"alg": "text",
"iv": "text",
"tag": "text",
"epk": {
"kty": "text",
"crv": "text",
"x": "text",
"y": "text",
"n": "text",
"d": "text"
},
"kid": "text",
"apv": "text",
"apu": "text"
},
"encrypted_key": "text"
}
]
}
]Last updated
Was this helpful?